﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Web.Models
{
    /// <summary>
    /// 分页查询记录集类
    /// </summary>
    /// <typeparam name="T">通类类型</typeparam>
    public class PageData<T>
    {
        /// <summary>
        /// 获取或设置查询返回的分页记录集
        /// </summary>
        public List<T> GetDate = new List<T>();

        /// <summary>
        /// 获取或设置符合查询条件总记录数
        /// </summary>
        public int Count { get; set; }

        /// <summary>
        /// 每页多少条
        /// </summary>
        public int PageSize = 5;

        /// <summary>
        /// 当前多少页
        /// </summary>
        public int PageIndex { get; set; }
    }
}


